Bug 1295771 - Upgrade did version in Fedora
Upgrade did version in Fedora
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: did (Show other bugs)
23
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Petr Šplíchal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 07:25 EST by Karel Volný
Modified: 2016-05-31 21:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-11 03:34:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2016-01-05 07:25:38 EST
Description of problem:
Trying to switch from status-report to did, I've copied the config.
Then I've found that the output differs - did is missing bugzilla stats.
So I've copied the example from https://wiki.test.redhat.com/BaseOs/Projects/did
Then I started getting error ...

Version-Release number of selected component (if applicable):
did-0.6-1.fc23.noarch

How reproducible:
always

Steps to Reproduce:
1. have some minimal config
2. echo "[bugzilla]
type = bugzilla_redhat
prefix = BZ
url = https://bugzilla.redhat.com/xmlrpc.cgi
grades = 0" >> ~/.did/config
3. did

Actual results:
 ERROR  __init__() takes at most 4 arguments (5 given)

Expected results:
Status report for this week (2016-01-04 to 2016-01-10).

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 Karel Volný <kvolny@redhat.com>
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

* Bugs returned: 1
    * BZ#0994123 - ctrl+alt+esc does not activate xkill

* Bugs fixed: 1
    * BZ#1295137 - qmmp-1.0.5 is available

* Bugs commented: 3
    * BZ#1288801 - F23 - Opus Files not playing
    * BZ#1157255 - Review Request: ufoai - UFO: Alien Invasion strategy game
    * BZ#0994123 - ctrl+alt+esc does not activate xkill
...

Additional info:
Comment 1 Lukas Zachar 2016-01-08 02:51:12 EST
Hi Karel, I am not sure what is the correct way how to install did, but please enable copr repo and install newer version (did-0.8-1.fc23)

0. sudo dnf copr enable psss/did 
1. sudo dnf update did
 
Version 0.8 works with with your minimal config + 'did --email <email> --bugzilla'
Comment 2 Karel Volný 2016-01-08 07:00:27 EST
thanks for the hint, but that's merely a workaround, not a fix

if did is included in base Fedora, why should I have to use an overlay repo?
- the update should be available via Bodhi

if the author/maintainer is not interested in following Fedora's processes and bringing their benefits to users, then the package should be retired (or it shouldn't have been included in the first place ...)
Comment 3 Lukas Zachar 2016-01-11 08:20:44 EST
The decision to retire vs. update is on Petr.

Documentation on https://github.com/psss/did says that both Copr and Fedora are supported.

"""
Install directly from Fedora/Copr repository:
yum install did
"""
Comment 4 Petr Šplíchal 2016-01-15 08:54:08 EST
Sorry, I didn't have enough free time for entertaining stuff such
as work on did recently. I want to sync Fedora once did-0.9 is
done. I expected this to happen much earlier but you know, the
priorities... I've just returned after sickness so cannot promise
some super-soon date, but will do my best.
Comment 5 Karel Volný 2016-01-19 08:38:20 EST
ok, thanks, I guess I can stick to status-report until then ;-)

just a note, not sure what are your exact plans, but on 2016-02-16 there should be F24 branching[*], so it might be a bit easier to commit new version to Rawhide before that rather than having to deal with the updates process later

[*] https://fedoraproject.org/wiki/Releases/24/Schedule
Comment 6 Lukas Zachar 2016-03-14 03:52:00 EDT
Any chance to get the current version from fedora/epel soon?
COPR is nice and great, but it is yet-another-repository to remember and enable on fresh install.
Comment 8 Petr Šplíchal 2016-04-11 03:34:33 EDT
F24 build has been pushed to stable, others will follow soon:
https://bodhi.fedoraproject.org/updates/FEDORA-2016-85bd1de201

Note You need to log in before you can comment on or make changes to this bug.